// -*- mode: c; -*-

uniform lowp vec4 color;

#ifdef NO_VCOLOR
	// Noting here
#else
	varying lowp vec4 varyingVertexColor;
#endif


#ifdef DEPTH_COMP
    varying highp vec4 projPosition;
#endif

void main()
{
#ifdef DEPTH_COMP
    gl_FragColor = vec4(projPosition.z, 0.0, 0.0, 0.0);;
#else
# ifdef NO_VCOLOR
    gl_FragColor = color;
# else
    gl_FragColor = varyingVertexColor*color;
# endif
#endif
}


